Uses of Class
org.codelibs.fess.app.web.admin.keymatch.CreateForm
Packages that use CreateForm
Package
Description
-
Uses of CreateForm in org.codelibs.fess.app.web.admin.keymatch
Subclasses of CreateForm in org.codelibs.fess.app.web.admin.keymatchModifier and TypeClassDescriptionclassForm class for editing key match configurations in the admin interface.Methods in org.codelibs.fess.app.web.admin.keymatch with parameters of type CreateFormModifier and TypeMethodDescriptionorg.lastaflute.web.response.HtmlResponseAdminKeymatchAction.create(CreateForm form) Creates a new key match.static org.dbflute.optional.OptionalEntity<org.codelibs.fess.opensearch.config.exentity.KeyMatch> AdminKeymatchAction.getEntity(CreateForm form, String username, long currentTime) Gets a key match entity based on the form and current user info.static org.dbflute.optional.OptionalEntity<org.codelibs.fess.opensearch.config.exentity.KeyMatch> AdminKeymatchAction.getKeyMatch(CreateForm form) Gets a key match entity from the form with system info. -
Uses of CreateForm in org.codelibs.fess.app.web.api.admin.keymatch
Subclasses of CreateForm in org.codelibs.fess.app.web.api.admin.keymatchModifier and TypeClassDescriptionclassRequest body for creating key match via REST API.classRequest body class for key match edit operations in the admin REST API.